package wenrgise.hrms.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.bean.HrmOrgCalMstHdrBean;
import wenrgise.hrms.bean.HrmOrgClassHdrBean;
import wenrgise.hrms.bean.HrmOrgCntryMstHdrBean;
import wenrgise.hrms.bean.HrmOrgHolCalHdrBean;
import wenrgise.hrms.bean.HrmOrgHolTypeMstHdrBean;
import wenrgise.hrms.bean.HrmOrgIncrementHdrBean;
import wenrgise.hrms.bean.HrmOrgRatingMstHdrBean;
import wenrgise.hrms.bean.HrmOrgScaleMstHdrBean;
import wenrgise.hrms.bean.HrmOrgSkillMstHdrBean;
import wenrgise.hrms.bean.HrmOrgWorkGroupMstHdrBean;
import wenrgise.hrms.ejb.business.HrmOrgCalMstBO;
import wenrgise.hrms.ejb.business.HrmOrgClassDtlBO;
import wenrgise.hrms.ejb.business.HrmOrgCntryMstBO;
import wenrgise.hrms.ejb.business.HrmOrgDistMstBO;
import wenrgise.hrms.ejb.business.HrmOrgHolCalBO;
import wenrgise.hrms.ejb.business.HrmOrgHolTypeMstBO;
import wenrgise.hrms.ejb.business.HrmOrgIncrementBO;
import wenrgise.hrms.ejb.business.HrmOrgLangMstBO;
import wenrgise.hrms.ejb.business.HrmOrgQualMstBO;
import wenrgise.hrms.ejb.business.HrmOrgRatingMstBO;
import wenrgise.hrms.ejb.business.HrmOrgRelationMstBO;
import wenrgise.hrms.ejb.business.HrmOrgReligionMstBO;
import wenrgise.hrms.ejb.business.HrmOrgScaleMstBO;
import wenrgise.hrms.ejb.business.HrmOrgSkillMstBO;
import wenrgise.hrms.ejb.business.HrmOrgTehMstBO;
import wenrgise.hrms.ejb.business.HrmOrgWorkGroupMstBO;
import wenrgise.hrms.vo.HrmOrgCalMstQVO;
import wenrgise.hrms.vo.HrmOrgClassDtlQVO;
import wenrgise.hrms.vo.HrmOrgCntryMstQVO;
import wenrgise.hrms.vo.HrmOrgHolCalQVO;
import wenrgise.hrms.vo.HrmOrgHolTypeMstQVO;
import wenrgise.hrms.vo.HrmOrgIncrementQVO;
import wenrgise.hrms.vo.HrmOrgRatingMstQVO;
import wenrgise.hrms.vo.HrmOrgScaleMstQVO;
import wenrgise.hrms.vo.HrmOrgSkillMstQVO;
import wenrgise.hrms.vo.HrmOrgWorkGroupMstQVO;

public class HrmOrganisationSetUpFacadeBean implements SessionBean {
  SessionContext ctx;
  
  public void ejbCreate() {}
  
  public void ejbActivate() {}
  
  public void ejbPassivate() {}
  
  public void ejbRemove() {}
  
  public void setSessionContext(SessionContext ctx) {
    this.ctx = ctx;
  }
  
  public RecordMetaInfo getHrmCalHeaderMetaInfo(HrmOrgCalMstQVO oHrmOrgCalMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    return oHrmOrgCalMstBO.getHrmCalHdrMetaInfo(oHrmOrgCalMstQVO);
  }
  
  public ArrayList getHrmCalHeader(HrmOrgCalMstQVO oHrmOrgCalMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    return oHrmOrgCalMstBO.getHrmCalHeaderInfo(oHrmOrgCalMstQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmCalDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    return oHrmOrgCalMstBO.getHrmCalDetailMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmCalDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    return oHrmOrgCalMstBO.getHrmCalDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String getHrmCalStartDate(String sCalId, String sDate) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    return oHrmOrgCalMstBO.getStartDate(sCalId, sDate);
  }
  
  public LovVO getHrmCalendarTypeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO();
    LovVO oLovVO = oHrmOrgCalMstBO.getHrmCalendarTypeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgCalMstHdrBean oHrmOrgCalMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgCalMstBO oHrmOrgCalMstBO = new HrmOrgCalMstBO(oUserInfo);
      return oHrmOrgCalMstBO.saveData((BaseHeaderBean)oHrmOrgCalMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmClassHeaderMetaInfo(HrmOrgClassDtlQVO oHrmOrgClassDtlQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassHdrMetaInfo(oHrmOrgClassDtlQVO);
  }
  
  public ArrayList getHrmClassHeader(HrmOrgClassDtlQVO oHrmOrgClassDtlQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassHeaderInfo(oHrmOrgClassDtlQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmClassDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmClassDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmClassDetailLOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassDetailLOVInfo(oLovQueryVO);
  }
  
  public LovVO getHrmClassDtlLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassDtlLOVData(oLovQueryVO);
  }
  
  public LovVO getHrmOrgScaleGradeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    return oHrmOrgScaleMstBO.getHrmOrgScaleGradeLOVData(oLovQueryVO);
  }
  
  public LovVO getHrmClassTypeLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO();
    return oHrmOrgClassDtlBO.getHrmClassTypeLOVData(oLovQueryVO);
  }
  
  public String saveData(HrmOrgClassHdrBean oHrmOrgClassHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgClassDtlBO oHrmOrgClassDtlBO = new HrmOrgClassDtlBO(oUserInfo);
      return oHrmOrgClassDtlBO.saveData((BaseHeaderBean)oHrmOrgClassHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmHolCalHeaderMetaInfo(HrmOrgHolCalQVO oHrmOrgHolCalQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    return oHrmOrgHolCalBO.getHrmHolCalHdrMetaInfo(oHrmOrgHolCalQVO);
  }
  
  public ArrayList getHrmHolCalHeader(HrmOrgHolCalQVO oHrmOrgHolCalQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    return oHrmOrgHolCalBO.getHrmHolCalHeaderInfo(oHrmOrgHolCalQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmHolCalDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    return oHrmOrgHolCalBO.getHrmHolCalDetailMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmHolCalDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    return oHrmOrgHolCalBO.getHrmHolCalDetail(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmOrgHolCalHdrBean oHrmOrgHolCalHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO(oUserInfo);
      return oHrmOrgHolCalBO.saveData((BaseHeaderBean)oHrmOrgHolCalHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getHrmCalNameLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    LovVO oLovVO = oHrmOrgHolCalBO.getHrmCalNameLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmSiteCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    LovVO oLovVO = oHrmOrgHolCalBO.getHrmSiteCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmStateCodeInsLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    LovVO oLovVO = oHrmOrgHolCalBO.getHrmStateCodeInsLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmStateCodeQueryLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolCalBO oHrmOrgHolCalBO = new HrmOrgHolCalBO();
    LovVO oLovVO = oHrmOrgHolCalBO.getHrmStateCodeQueryLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public RecordMetaInfo getHrmHolTypeHeaderMetaInfo(HrmOrgHolTypeMstQVO oHrmOrgHolTypeMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolTypeMstBO oHrmOrgHolTypeMstBO = new HrmOrgHolTypeMstBO();
    return oHrmOrgHolTypeMstBO.getHrmHolTypeHdrMetaInfo(oHrmOrgHolTypeMstQVO);
  }
  
  public ArrayList getHrmHolTypeHeader(HrmOrgHolTypeMstQVO oHrmOrgHolTypeMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolTypeMstBO oHrmOrgHolTypeMstBO = new HrmOrgHolTypeMstBO();
    return oHrmOrgHolTypeMstBO.getHrmHolTypeHeaderInfo(oHrmOrgHolTypeMstQVO, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmHolidayTypeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgHolTypeMstBO oHrmOrgHolTypeMstBO = new HrmOrgHolTypeMstBO();
    LovVO oLovVO = oHrmOrgHolTypeMstBO.getHrmHolidayTypeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgHolTypeMstHdrBean oHrmOrgHolTypeMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgHolTypeMstBO oHrmOrgHolTypeMstBO = new HrmOrgHolTypeMstBO(oUserInfo);
      return oHrmOrgHolTypeMstBO.saveData((BaseHeaderBean)oHrmOrgHolTypeMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmSkillHeaderMetaInfo(HrmOrgSkillMstQVO oHrmOrgSkillMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgSkillMstBO oHrmOrgSkillMstBO = new HrmOrgSkillMstBO();
    return oHrmOrgSkillMstBO.getHrmSkillHdrMetaInfo(oHrmOrgSkillMstQVO);
  }
  
  public ArrayList getHrmSkillHeader(HrmOrgSkillMstQVO oHrmOrgSkillMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgSkillMstBO oHrmOrgSkillMstBO = new HrmOrgSkillMstBO();
    return oHrmOrgSkillMstBO.getHrmSkillHeaderInfo(oHrmOrgSkillMstQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmSkillDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgSkillMstBO oHrmOrgSkillMstBO = new HrmOrgSkillMstBO();
    return oHrmOrgSkillMstBO.getHrmSkillDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmSkillDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgSkillMstBO oHrmOrgSkillMstBO = new HrmOrgSkillMstBO();
    return oHrmOrgSkillMstBO.getHrmSkillDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmSkillCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgSkillMstBO oSkill = new HrmOrgSkillMstBO();
    LovVO oLovVO = oSkill.getHrmSkillCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgSkillMstHdrBean oHrmOrgSkillMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgSkillMstBO oHrmOrgSkillMstBO = new HrmOrgSkillMstBO(oUserInfo);
      return oHrmOrgSkillMstBO.saveData((BaseHeaderBean)oHrmOrgSkillMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmScaleHeaderMetaInfo(HrmOrgScaleMstQVO oHrmOrgScaleMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    return oHrmOrgScaleMstBO.getHrmScaleHdrMetaInfo(oHrmOrgScaleMstQVO);
  }
  
  public ArrayList getHrmScaleHeader(HrmOrgScaleMstQVO oHrmOrgScaleMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    return oHrmOrgScaleMstBO.getHrmScaleHeaderInfo(oHrmOrgScaleMstQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmScaleDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    return oHrmOrgScaleMstBO.getHrmScaleDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmScaleDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    return oHrmOrgScaleMstBO.getHrmScaleDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmScaleMstScaleCodeLOV(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO();
    LovVO oLovVO = oHrmOrgScaleMstBO.getHrmScaleMstScaleCodeLOV(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgScaleMstHdrBean oHrmOrgScaleMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgScaleMstBO oHrmOrgScaleMstBO = new HrmOrgScaleMstBO(oUserInfo);
      return oHrmOrgScaleMstBO.saveData((BaseHeaderBean)oHrmOrgScaleMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmRelDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgReligionMstBO oHrmOrgReligionMstBO = new HrmOrgReligionMstBO();
    return oHrmOrgReligionMstBO.getHrmRelDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmReligionDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgReligionMstBO oHrmOrgReligionMstBO = new HrmOrgReligionMstBO();
    return oHrmOrgReligionMstBO.getHrmReligionDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmRatingHeaderMetaInfo(HrmOrgRatingMstQVO oHrmOrgRatingMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO();
    return oHrmOrgRatingMstBO.getHrmRatingHdrMetaInfo(oHrmOrgRatingMstQVO);
  }
  
  public ArrayList getHrmRatingHeader(HrmOrgRatingMstQVO oHrmOrgRatingMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO();
    return oHrmOrgRatingMstBO.getHrmRatingHeaderInfo(oHrmOrgRatingMstQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmRatingDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO();
    return oHrmOrgRatingMstBO.getHrmRatingDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmRatingDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO();
    return oHrmOrgRatingMstBO.getHrmRatingDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmRatingCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO();
    LovVO oLovVO = oHrmOrgRatingMstBO.getHrmRatingCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgRatingMstHdrBean oHrmOrgRatingMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgRatingMstBO oHrmOrgRatingMstBO = new HrmOrgRatingMstBO(oUserInfo);
      return oHrmOrgRatingMstBO.saveData((BaseHeaderBean)oHrmOrgRatingMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmCountryHeaderMetaInfo(HrmOrgCntryMstQVO oHrmOrgCntryMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCntryMstBO oHrmOrgCntryMstBO = new HrmOrgCntryMstBO();
    return oHrmOrgCntryMstBO.getHrmCountryHdrMetaInfo(oHrmOrgCntryMstQVO);
  }
  
  public ArrayList getHrmCountryHeader(HrmOrgCntryMstQVO oHrmOrgCntryMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCntryMstBO oHrmOrgCntryMstBO = new HrmOrgCntryMstBO();
    return oHrmOrgCntryMstBO.getHrmCountryHeaderInfo(oHrmOrgCntryMstQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmCountryDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCntryMstBO oHrmOrgCntryMstBO = new HrmOrgCntryMstBO();
    return oHrmOrgCntryMstBO.getHrmCountryDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmCountryDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCntryMstBO oHrmOrgCntryMstBO = new HrmOrgCntryMstBO();
    return oHrmOrgCntryMstBO.getHrmCountryDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public LovVO getHrmCountryCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgCntryMstBO oCountry = new HrmOrgCntryMstBO();
    LovVO oLovVO = oCountry.getHrmCountryCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(HrmOrgCntryMstHdrBean oHrmOrgCntryMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgCntryMstBO oHrmOrgCntryMstBO = new HrmOrgCntryMstBO(oUserInfo);
      return oHrmOrgCntryMstBO.saveData((BaseHeaderBean)oHrmOrgCntryMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public RecordMetaInfo getHrmQualificationDetailMetaInfo() throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgQualMstBO oHrmOrgQualMstBO = new HrmOrgQualMstBO();
    return oHrmOrgQualMstBO.getHrmQualificationDtlMetaInfo();
  }
  
  public ArrayList getHrmQualificationDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgQualMstBO oHrmOrgQualMstBO = new HrmOrgQualMstBO();
    return oHrmOrgQualMstBO.getHrmQualificationDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmLanguageDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgLangMstBO oHrmOrgLangMstBO = new HrmOrgLangMstBO();
    return oHrmOrgLangMstBO.getHrmLanguageDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmLanguageDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgLangMstBO oHrmOrgLangMstBO = new HrmOrgLangMstBO();
    return oHrmOrgLangMstBO.getHrmLanguageDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmDistrictDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgDistMstBO oHrmOrgDistMstBO = new HrmOrgDistMstBO();
    return oHrmOrgDistMstBO.getHrmDistrictDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmDistrictDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgDistMstBO oHrmOrgDistMstBO = new HrmOrgDistMstBO();
    return oHrmOrgDistMstBO.getHrmDistrictDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmTehsilDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgTehMstBO oHrmOrgTehMstBO = new HrmOrgTehMstBO();
    return oHrmOrgTehMstBO.getHrmTehsilDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmTehsilDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgTehMstBO oHrmOrgTehMstBO = new HrmOrgTehMstBO();
    return oHrmOrgTehMstBO.getHrmTehsilDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmRelationDetailMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRelationMstBO oHrmOrgRelationMstBO = new HrmOrgRelationMstBO();
    return oHrmOrgRelationMstBO.getHrmRelationDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmRelationDetail(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgRelationMstBO oHrmOrgRelationMstBO = new HrmOrgRelationMstBO();
    return oHrmOrgRelationMstBO.getHrmRelationDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmOrgWorkGroupMstHeaderMetaInfo(HrmOrgWorkGroupMstQVO oHrmOrgWorkGroupMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    return oHrmOrgWorkGroupMstBO.getHrmOrgWorkGroupMstHeaderMetaInfo(oHrmOrgWorkGroupMstQVO);
  }
  
  public ArrayList getHrmOrgWorkGroupMstHeader(HrmOrgWorkGroupMstQVO oHrmOrgWorkGroupMstQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    return oHrmOrgWorkGroupMstBO.getHrmOrgWorkGroupMstHeader(oHrmOrgWorkGroupMstQVO, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmOrgWorkGroupMstHdrBean oHrmOrgWorkGroupMstHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO(oUserInfo);
      return oHrmOrgWorkGroupMstBO.saveData((BaseHeaderBean)oHrmOrgWorkGroupMstHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getHrmWorkSiteCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmSiteCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmWorkParentCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmWorkParentCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmWorkGroupCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmWorkGroupCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmCostCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmCostCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmBudgetCodeLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmBudgetCodeLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getHrmContactEmployeeNoLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgWorkGroupMstBO oHrmOrgWorkGroupMstBO = new HrmOrgWorkGroupMstBO();
    LovVO oLovVO = oHrmOrgWorkGroupMstBO.getHrmWorkEmpNameLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public RecordMetaInfo getHrmIncrHdrMetaInfo(HrmOrgIncrementQVO oHrmOrgIncrementQVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    return oHrmOrgIncrementBO.getHrmIncrHdrMetaInfo(oHrmOrgIncrementQVO);
  }
  
  public ArrayList getHrmIncrHeaderInfo(HrmOrgIncrementQVO oHrmOrgIncrementQVO, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    return oHrmOrgIncrementBO.getHrmIncrHeaderInfo(oHrmOrgIncrementQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getHrmIncrDtlMetaInfo(String lPrimaryKey) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    return oHrmOrgIncrementBO.getHrmIncrDtlMetaInfo(lPrimaryKey);
  }
  
  public ArrayList getHrmIncrDetailInfo(String lPrimaryKey, long lStartPosition, long lLastPosition) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    return oHrmOrgIncrementBO.getHrmIncrDetailInfo(lPrimaryKey, lStartPosition, lLastPosition);
  }
  
  public String saveData(HrmOrgIncrementHdrBean oHrmOrgIncrementHdrBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO(oUserInfo);
      return oHrmOrgIncrementBO.saveData((BaseHeaderBean)oHrmOrgIncrementHdrBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
  
  public LovVO getIncrRatingLOVNData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    LovVO oLovVO = oHrmOrgIncrementBO.getIncrRatingLOVNData(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getIncrRatingLOVQData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HrmOrgIncrementBO oHrmOrgIncrementBO = new HrmOrgIncrementBO();
    LovVO oLovVO = oHrmOrgIncrementBO.getIncrRatingLOVQData(oLovQueryVO);
    return oLovVO;
  }
  
  public String saveData(BaseHeaderBean oBaseHeaderBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    if (sScreenName.equalsIgnoreCase("HrmOrgQualMst"))
      try {
        HrmOrgQualMstBO oHrmOrgQualMstBO = new HrmOrgQualMstBO(oUserInfo);
        return oHrmOrgQualMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
      } catch (EnrgiseSystemException oSysEx) {
        this.ctx.setRollbackOnly();
        throw oSysEx;
      } catch (EnrgiseApplicationException oAppEx) {
        this.ctx.setRollbackOnly();
        throw oAppEx;
      }  
    if (sScreenName.equalsIgnoreCase("HrmOrgLangMst"))
      try {
        HrmOrgLangMstBO oHrmOrgLangMstBO = new HrmOrgLangMstBO(oUserInfo);
        return oHrmOrgLangMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
      } catch (EnrgiseSystemException oSysEx) {
        this.ctx.setRollbackOnly();
        throw oSysEx;
      } catch (EnrgiseApplicationException oAppEx) {
        this.ctx.setRollbackOnly();
        throw oAppEx;
      }  
    if (sScreenName.equalsIgnoreCase("HrmOrgDistMst"))
      try {
        HrmOrgDistMstBO oHrmOrgDistMstBO = new HrmOrgDistMstBO(oUserInfo);
        return oHrmOrgDistMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
      } catch (EnrgiseSystemException oSysEx) {
        this.ctx.setRollbackOnly();
        throw oSysEx;
      } catch (EnrgiseApplicationException oAppEx) {
        this.ctx.setRollbackOnly();
        throw oAppEx;
      }  
    if (sScreenName.equalsIgnoreCase("HrmOrgTehMst"))
      try {
        HrmOrgTehMstBO oHrmOrgTehMstBO = new HrmOrgTehMstBO(oUserInfo);
        return oHrmOrgTehMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
      } catch (EnrgiseSystemException oSysEx) {
        this.ctx.setRollbackOnly();
        throw oSysEx;
      } catch (EnrgiseApplicationException oAppEx) {
        this.ctx.setRollbackOnly();
        throw oAppEx;
      }  
    if (sScreenName.equalsIgnoreCase("HrmOrgReligionMst"))
      try {
        HrmOrgReligionMstBO oHrmOrgReligionMstBO = new HrmOrgReligionMstBO(oUserInfo);
        return oHrmOrgReligionMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
      } catch (EnrgiseSystemException oSysEx) {
        this.ctx.setRollbackOnly();
        throw oSysEx;
      } catch (EnrgiseApplicationException oAppEx) {
        this.ctx.setRollbackOnly();
        throw oAppEx;
      }  
    try {
      HrmOrgRelationMstBO oHrmOrgRelationMstBO = new HrmOrgRelationMstBO(oUserInfo);
      return oHrmOrgRelationMstBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
    } catch (EnrgiseSystemException oSysEx) {
      this.ctx.setRollbackOnly();
      throw oSysEx;
    } catch (EnrgiseApplicationException oAppEx) {
      this.ctx.setRollbackOnly();
      throw oAppEx;
    } 
  }
}
